Access Token Run in API Explorer
Ask AI
This endpoint allows you to exchange client credentials for a Bearer access token, required when authenticating API requests made to Deliverect.
POST
/oauth/token
curl \
--request POST 'https://api.staging.deliverect.com/oauth/token' \
--header "Content-Type: application/json" \
--data '{"client_id":"{{clientId}}","client_secret":"{{clientSecret}}","audience":"https://api.deliverect.com","grant_type":"client_credentials"}'
Request examples
{
"client_id": "{{clientId}}",
"client_secret": "{{clientSecret}}",
"audience": "https://api.deliverect.com",
"grant_type": "client_credentials"
}
Response examples (200)
{
"access_token": "ey**-**-Q",
"expires_at": 1620899002,
"token_type": "Bearer",
"scope": "genericPOS provisioning"
}
Response examples (401)
{
"error": "access_denied",
"error_description": "Unauthorized"
}